Analytics

Retrieve search execution events

get
https://{your-bynder-domain}/v7/analytics/api/v1/search/executions

Query Parameters

limitinteger

The maximum number of analytics events to retrieve. Allowed values are between 1 and 10000.

Default:1000

cursorstring

Cursor mark returned in the response headers to be used for pagination purposes.

Default:MA

fromDateTimestring(date-time)

Retrieve executions events occurred after this date. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

toDateTimestring(date-time)

Set a date range together with the “fromDateTime” parameter. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

Response

200 application/json

Successful response

dateTimestring(date-time)

Example:2021-11-15T10:07:57.781+00:00

eventIdstring

Example:1408aec2-3114-43dd-be20-ffb1246a5231

eventTypestring

Example:SearchExecuted

filtersarray[object]
Show Child Parameters
operatorstring

Example:OR

resultsobject
Show Child Parameters
sortOrderobject
Show Child Parameters
termsarray[string]

Example:digital

userIdstring

Example:1A84D758-2B3A-141F-8F07D71AA1F223BD

get/v7/analytics/api/v1/search/executions
 
200 application/json

Retrieve search keyword events

Deprecated. Use the Search Executions endpoint instead.

get
https://{your-bynder-domain}/v7/analytics/api/v1/search/keyword

Query Parameters

limitinteger

The maximum number of analytics events to retrieve. Allowed values are between 1 and 10000.

Default:1000

cursorstring

Cursor mark returned in the response headers to be used for pagination purposes.

Default:MA

fromDateTimestring(date-time)

Retrieve keyword events occurred after this date. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

toDateTimestring(date-time)

Set a date range together with the “fromDateTime” parameter. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

Response

200 application/json

Successful response

assetsResultsinteger

Example:24

brandstoreProductsResultsinteger
collectionAssetsResultsinteger
collectionsResultsinteger

Example:3

dateTimestring(date-time)

Example:2021-11-15T10:07:57.781+00:00

documentsResultsinteger
eventTypestring

Example:search.keyword

guidelinesResultsinteger
idstring

Example:62de6d714e29485a81824fe3

keywordstring

Example:digital templates

metapropertiesResultsinteger
tagsResultsinteger
totalResultsinteger

Example:27

userIdstring

Example:1A84D758-2B3A-141F-8F07D71AA1F223BD

workflowCampaignsResultsinteger
get/v7/analytics/api/v1/search/keyword
 
200 application/json

Retrieve search keyword events in CSV format

Deprecated. Use the Search Executions endpoint instead.

get
https://{your-bynder-domain}/v7/analytics/api/v1/search/keyword.csv

Query Parameters

limitinteger

The maximum number of analytics events to retrieve. Allowed values are between 1 and 10000.

Default:1000

cursorstring

Cursor mark returned in the response headers to be used for pagination purposes.

Default:MA

fromDateTimestring(date-time)

Retrieve keyword events occurred after this date. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

toDateTimestring(date-time)

Set a date range together with the “fromDateTime” parameter. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

Response

200 text/csv

Successful response

get/v7/analytics/api/v1/search/keyword.csv
 
200 text/csv

User Usage

These endpoints return information related to the specific event. You can enrich these events with specific data about the asset or the user by making use of the Assets API endpoints or the Users API endpoints.

User Login

Retrieve login events.

get
https://{your-bynder-domain}/v7/analytics/api/v1/user/login

Query Parameters

limitinteger

The maximum number of analytics events to retrieve. Allowed values are between 1 and 10000.

Default:1000

cursorstring

Cursor mark returned in the response headers to be used for pagination purposes.

Default:MA

fromDateTimestring(date-time)

Retrieve login events occurred after this date. ISO8601 format: yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

toDateTimestring(date-time)

Set a date range together with the “fromDateTime” parameter. ISO8601 format: yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

Response

200

Successful response

get/v7/analytics/api/v1/user/login
 
200